| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Digikam::NamespaceEntry Class Reference

The NamespaceEntry class provide a simple container for dmetadata namespaces variables, such as names, what types of data expects and extra xml tags.

## Public Types
enum | NamespaceType { TAGS = 0 , TITLE = 1 , RATING = 2 , COMMENT = 3 , PICKLABEL = 4 , COLORLABEL = 5 }
enum | NsSubspace { EXIF = 0 , IPTC = 1 , XMP = 2 }
enum | SpecialOptions { NO_OPTS = 0 , COMMENT_ALTLANG = 1 , COMMENT_ATLLANGLIST = 2 , COMMENT_XMP = 3 , COMMENT_JPEG = 4 , TAG_XMPBAG = 5 , TAG_XMPSEQ = 6 , TAG_ACDSEE = 7 }
enum | TagType { TAG = 0 , TAGPATH = 1 }

## Public Member Functions
| NamespaceEntry (const NamespaceEntry &other)

## Static Public Member Functions
static QString | DM_COLORLABEL_CONTAINER ()
static QString | DM_COMMENT_CONTAINER ()
static QString | DM_PICKLABEL_CONTAINER ()
static QString | DM_RATING_CONTAINER ()
static QString | DM_TAG_CONTAINER ()
static QString | DM_TITLE_CONTAINER ()

## Public Attributes
QString | alternativeName
QList< int > | convertRatio
| Rating Options.
int | index = -1
bool | isDefault = true
bool | isDisabled = false
QString | namespaceName
| Tag Options.
NamespaceType | nsType = TAGS
SpecialOptions | secondNameOpts = NO_OPTS
QString | separator
SpecialOptions | specialOpts = NO_OPTS
NsSubspace | subspace = XMP
TagType | tagPaths = TAGPATH